<?php
/**
 *
 * @package Slider Premium
 */      
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div class="slider-area" id="slider">
    <div class="<?php if(get_theme_mod('digital_marketing_agency_slider_section_width','Full Width') == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(get_theme_mod('digital_marketing_agency_slider_section_width','Full Width') == 'Box Width'){ ?> container <?php }?>">

       <section class="hero-slider hero-style">
    <div class="swiper-container swiper-container-fade">
      <div class="swiper-wrapper">

        <?php
        $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
        if(!empty($pageId)){
            $args['page_id'] = absint($pageId);

        }
        $text = '';
        $query = new WP_Query($args);
        if($query->have_posts()){
            while($query->have_posts()) : $query->the_post(); 

                $slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
                    $test_slider1btntext = !empty($slider1btntext[0]) ? $slider1btntext[0] : '';
                ?>
               <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">                          
                        <div class="slider-overlay"></div>
                                <?php 
                            if(has_post_thumbnail()){
                                $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                                echo '<img class="slide-mainimg " alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                            }?>
                        </div>
                        <div class="sliderimg">
            
                            <?php if($showContent == 'on'){?>
                            <div class="slider-inner-box">
                                <div class="hero-overlay"></div>
                                
                                <div class="slide-title animated fadeInUp" data-delay-in="0.2"><h2><?php echo (get_the_title()); ?></h2></div>
                                <div class="slide-text animated  fadeInUp" data-delay-in="0.2"><p><?php echo (get_the_content()); ?></p></div>  
                            
                                  <ul>
                                       <?php
                                    $sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', false);
                                    $slider1_btn_url = !empty($sliderbtn1url[0]) ? $sliderbtn1url[0] : '';

                                    ?>      
                                      <?php if ($slider1_btn_url) { ?>
                                    <li class="slide-btns-1 animated fadeInUp" data-delay-in="0.2"> <a class="ReadMore" href="<?php echo $slider1_btn_url; ?>"><?php echo ($test_slider1btntext); ?></a>
                                    </li>
                                      <?php } ?>
                                </ul>
                            </div>
                            <?php }?>
                        

                    </div>
                </div>

                    <?php
                endwhile;  
            }else{    
                for($i=0;$i<1;$i++){?>

                    <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">
                           <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider.jpg">';?>
                           <div class="slider-overlay"></div>
                        </div>
                 
                        <div class="sliderimg">
                    
                        <?php if($showContent == 'on'){?>
                             <div class="slider-inner-box">
                                 <div class="hero-overlay"></div>
                                <div class="slide-title animated fadeInUp" data-delay-in="0.2"><h2>PROVIDE BEST CONSULTING SERVICES</h2></div>
                                <div class="slide-text animated fadeInUp" data-delay-in="0.2"><p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.</p></div>  
                                <ul>
                                    <li class="slide-btns-1 animated fadeInUp" data-delay-in="0.2"> <a class="ReadMore" href="<?php echo $slider1_btn_url; ?>">READ MORE</a>
                                    </li>
                                </ul>
                            </div>
                        <?php }?>   
                    </div>
                </div>
                <?php }
            }?>
    </div>
       <!--  <div class="swiper-pagination"></div> -->
        <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div>
</div>
</section>

    </div>
</div>